Hello, all.

I'm running 9.10 and I'm having a real hard time loading the new 2.6.31-19-generic kernel from the grub2 boot menu. Whenever I try to load it, it responds with the following error:

"error: You need to load the kernel first.

Press any key to continue..."

It then just kicks me right back to the boot menu. I checked the grub.cfg file and everything seems to check out and I also checked the settings in grub (pressing 'e' with 2.6.31-19-generic selected...I'm still pretty new with ubuntu, so forgive my simplicity). I also made sure the file "vmlinuz-2.6.31-19-generic" is in the boot folder. I also tried manually booting from the grub2 command line using:

Code:
sh:grub>linux /boot/vmlinuz-2.6.31-19-generic root=/dev/sda2 loop=/ubuntu/disks/root.disk ro
sh:grub>initrd /boot/initrd.img-2.6.31-19-generic
sh:grub>boot
I might be missing something obvious, but I'm not sure. As I said, I'm still fairly new with Ubuntu (I love it!), so any help with this would be greatly appreciated!

Thanks!